GNU bug report logs - #26088
BusyBox support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gzip; Reported by: Denys Zagorui <denys.zagorui@HIDDEN>; dated Mon, 13 Mar 2017 18:51:02 UTC; Maintainer for gzip is bug-gzip@HIDDEN.
bug Marked as found in versions 1.8. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'gzip 1.8' to 'gzip'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26088 <at> debbugs.gnu.org:


Received: (at 26088) by debbugs.gnu.org; 14 Mar 2017 22:25:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 14 18:25:35 2017
Received: from localhost ([127.0.0.1]:56095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cnusp-0001VT-Cm
	for submit <at> debbugs.gnu.org; Tue, 14 Mar 2017 18:25:35 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:57548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1cnusn-0001V8-Er
 for 26088 <at> debbugs.gnu.org; Tue, 14 Mar 2017 18:25:34 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B555416005C;
 Tue, 14 Mar 2017 15:25:26 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id lUEEgOyJnhFE; Tue, 14 Mar 2017 15:25:26 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 0BE7916008C;
 Tue, 14 Mar 2017 15:25:26 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id jEYgy_FsWG6k; Tue, 14 Mar 2017 15:25:25 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id E72E116005C;
 Tue, 14 Mar 2017 15:25:25 -0700 (PDT)
Subject: Re: bug#26088: BusyBox support
To: Denys Zagorui <denys.zagorui@HIDDEN>
References: <1e6e6ebc-2841-6505-2bdb-e072fa3da053@HIDDEN>
 <ee2bb661-1793-8bb9-526c-8d2496b875fb@HIDDEN>
 <CAKmpzHvZmMay435Dov2JsJcBCQvUZoR1_6bsoVuwSrFobvvuTw@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <a02839a4-e52f-387c-8284-5d4f1d957213@HIDDEN>
Date: Tue, 14 Mar 2017 15:25:25 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <CAKmpzHvZmMay435Dov2JsJcBCQvUZoR1_6bsoVuwSrFobvvuTw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 26088
Cc: 26088 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On 03/14/2017 05:03 AM, Denys Zagorui wrote:
> Hello, thank you for reply. I'd not attach patch for zless. This patch 
> only for tests/zdiff test, with this patch this test (tests/zdiff) 
> work with diff from busybox and diff from diffutils

Sorry, I don't understand.

I don't think my change to zless.in will hurt BusyBox, so I'll leave 
that change in for now. However, I still do not see how 'zless' can work 
with BusyBox 'less'. It seems to me that BusyBox 'less' is incompatible 
with how 'zless' works.





Information forwarded to bug-gzip@HIDDEN:
bug#26088; Package gzip 1.8. Full text available.

Message received at 26088 <at> debbugs.gnu.org:


Received: (at 26088) by debbugs.gnu.org; 14 Mar 2017 15:35:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 14 11:35:33 2017
Received: from localhost ([127.0.0.1]:55817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cnoU1-0003Ll-1d
	for submit <at> debbugs.gnu.org; Tue, 14 Mar 2017 11:35:33 -0400
Received: from mail-vk0-f46.google.com ([209.85.213.46]:34176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <denys.zagorui@HIDDEN>) id 1cnlIg-0004Zf-RG
 for 26088 <at> debbugs.gnu.org; Tue, 14 Mar 2017 08:11:39 -0400
Received: by mail-vk0-f46.google.com with SMTP id r136so50620165vke.1
 for <26088 <at> debbugs.gnu.org>; Tue, 14 Mar 2017 05:11:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=globallogic.com; s=google;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to;
 bh=v16A1yakQtxzSGEr2rM9N4PK/Z+pwTVj7XKUhfpK9TA=;
 b=M6og5dy9q+LcxlIdW5qU1lc1m24hDcIb6cBGqx6k0tW34H+XcSS4Gky76UrmUkrpz8
 YtuxKWyGxKR0M9UptYJ+DqCvtL4fOUF9WdP+4UOpYD6w6lpYcHQZPl5R4JsTmWFpW1kc
 /1m+4hU9gQoiEoaXOWiRzLfln8nQPfWeQ+QQI=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to;
 bh=v16A1yakQtxzSGEr2rM9N4PK/Z+pwTVj7XKUhfpK9TA=;
 b=nhTt4ygOg/fcFeXAPouuksOkNMFdD4wdJSXkynMkChStnxK02GCNH1VLUoZvqcgbA+
 s28dPmIuDmKfe2pi/a3DgaQaqO6aQeEKOzeZeG7HYP8WEv6H2bYBZ/BbWhtG4WoheIuK
 1QX1qMSfL7fMxGu0qHbl7qgz8oy2lfzdRymwYjMGDK0aEApsk7N30zIQCywpryxMBznw
 NbhQ9c9EeN+lST7tl8NiEIHgL61WRR1lH7eanydMMWrrd5SrVFHd33ZpzMjob8g+3cop
 2Rl9FuYfkPI1XJWz2KvdG5h9GWG45QhjmvRZMSyCG7uDq1qK8I4+1wP8anauj5LqVMa6
 SrLw==
X-Gm-Message-State: AMke39m2pZvULhV2uTT4P3QWdqYD6U441jcTIiOY2w4imW52Nj4rR8fUQb8ikfPNddA78bdN+Lco1MCPmTODnAvL
X-Received: by 10.31.61.206 with SMTP id k197mr13847119vka.13.1489493493162;
 Tue, 14 Mar 2017 05:11:33 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.176.84.73 with HTTP; Tue, 14 Mar 2017 05:11:32 -0700 (PDT)
Received: by 10.176.84.73 with HTTP; Tue, 14 Mar 2017 05:11:32 -0700 (PDT)
In-Reply-To: <CAKmpzHvDPRYRjbOXMP522bXAF-spwEVYipBBWTuU4PU9O8TQwA@HIDDEN>
References: <1e6e6ebc-2841-6505-2bdb-e072fa3da053@HIDDEN>
 <ee2bb661-1793-8bb9-526c-8d2496b875fb@HIDDEN>
 <20170313235342.GE24205@vapier>
 <CAKmpzHvDPRYRjbOXMP522bXAF-spwEVYipBBWTuU4PU9O8TQwA@HIDDEN>
From: Denys Zagorui <denys.zagorui@HIDDEN>
Date: Tue, 14 Mar 2017 05:11:32 -0700
Message-ID: <CAKmpzHv-bUaSgnLUdRCPVD+NNRkPF1Lc+-6vKeRNmWiyAE0_XQ@HIDDEN>
Subject: Re: bug#26088: BusyBox support
To: Paul Eggert <eggert@HIDDEN>, 26088 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=001a114dc5868e3f6c054aafba06
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 26088
X-Mailman-Approved-At: Tue, 14 Mar 2017 11:35:32 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--001a114dc5868e3f6c054aafba06
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hello, thank you for reply. 'less' from busybox has another version
managment, so it's not help

Denys Zagorui
GlobalLogic
Kyiv, 03038, Protasov Business Park, N.Grinchenka, 2/1
M +380.67.317.30.93
www.globallogic.com

http://www.globallogic.com/email_disclaimer.txt

14 =D0=BC=D0=B0=D1=80=D1=82=D0=B0 2017 01:53 =D0=BF=D0=BE=D0=BB=D1=8C=D0=B7=
=D0=BE=D0=B2=D0=B0=D1=82=D0=B5=D0=BB=D1=8C "Mike Frysinger" <vapier@gentoo.=
org>
=D0=BD=D0=B0=D0=BF=D0=B8=D1=81=D0=B0=D0=BB:

On 13 Mar 2017 16:43, Paul Eggert wrote:
> Thanks, I installed the attached patch to attempt to work around the
> problems you reported.
>
> Could you please explain how ignoring the 'less -V' failure causes zless
> to work on BusyBox? BusyBox 'less' ignores the LESSOPEN environment
> variable, so if zless uses Busybox 'less' then zless should not work
> even if the attached fix is applied.

i think it'd make more sense to update busybox's less to support -V
-mike

--001a114dc5868e3f6c054aafba06
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Hello, thank you for reply. &#39;less&#39; from busybox h=
as another version managment, so it&#39;s not help<br><br><div data-smartma=
il=3D"gmail_signature">Denys Zagorui<br>GlobalLogic<br>Kyiv, 03038, Protaso=
v Business Park, N.Grinchenka, 2/1<br>M=C2=A0+380.67.317.30.93<br><a href=
=3D"http://www.globallogic.com">www.globallogic.com</a><br><br><a href=3D"h=
ttp://www.globallogic.com/email_disclaimer.txt">http://www.globallogic.com/=
email_disclaimer.txt</a></div></div><div class=3D"gmail_extra"><br><div cla=
ss=3D"gmail_quote">14 =D0=BC=D0=B0=D1=80=D1=82=D0=B0 2017 01:53 =D0=BF=D0=
=BE=D0=BB=D1=8C=D0=B7=D0=BE=D0=B2=D0=B0=D1=82=D0=B5=D0=BB=D1=8C &quot;Mike =
Frysinger&quot; &lt;<a href=3D"mailto:vapier@HIDDEN">vapier@HIDDEN<=
/a>&gt; =D0=BD=D0=B0=D0=BF=D0=B8=D1=81=D0=B0=D0=BB:<br type=3D"attribution"=
><blockquote class=3D"quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex"><div class=3D"elided-text">On 13 Mar 2017 16:43, =
Paul Eggert wrote:<br>
&gt; Thanks, I installed the attached patch to attempt to work around the<b=
r>
&gt; problems you reported.<br>
&gt;<br>
&gt; Could you please explain how ignoring the &#39;less -V&#39; failure ca=
uses zless<br>
&gt; to work on BusyBox? BusyBox &#39;less&#39; ignores the LESSOPEN enviro=
nment<br>
&gt; variable, so if zless uses Busybox &#39;less&#39; then zless should no=
t work<br>
&gt; even if the attached fix is applied.<br>
<br>
</div>i think it&#39;d make more sense to update busybox&#39;s less to supp=
ort -V<br>
<font color=3D"#888888">-mike<br>
</font></blockquote></div><br></div>

--001a114dc5868e3f6c054aafba06--




Information forwarded to bug-gzip@HIDDEN:
bug#26088; Package gzip 1.8. Full text available.

Message received at 26088 <at> debbugs.gnu.org:


Received: (at 26088) by debbugs.gnu.org; 13 Mar 2017 23:53:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 13 19:53:50 2017
Received: from localhost ([127.0.0.1]:54487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cnZmg-0004Rq-Ea
	for submit <at> debbugs.gnu.org; Mon, 13 Mar 2017 19:53:50 -0400
Received: from smtp.gentoo.org ([140.211.166.183]:44606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1cnZmf-0004Rd-FF
 for 26088 <at> debbugs.gnu.org; Mon, 13 Mar 2017 19:53:49 -0400
Received: from vapier (localhost [127.0.0.1])
 by smtp.gentoo.org (Postfix) with SMTP id 7A411340988;
 Mon, 13 Mar 2017 23:53:42 +0000 (UTC)
Date: Mon, 13 Mar 2017 19:53:42 -0400
From: Mike Frysinger <vapier@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#26088: BusyBox support
Message-ID: <20170313235342.GE24205@vapier>
Mail-Followup-To: Paul Eggert <eggert@HIDDEN>,
 Denys Zagorui <denys.zagorui@HIDDEN>,
 26088 <at> debbugs.gnu.org
References: <1e6e6ebc-2841-6505-2bdb-e072fa3da053@HIDDEN>
 <ee2bb661-1793-8bb9-526c-8d2496b875fb@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="brEuL7wsLY8+TuWz"
Content-Disposition: inline
In-Reply-To: <ee2bb661-1793-8bb9-526c-8d2496b875fb@HIDDEN>
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: 26088
Cc: Denys Zagorui <denys.zagorui@HIDDEN>, 26088 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


--brEuL7wsLY8+TuWz
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On 13 Mar 2017 16:43, Paul Eggert wrote:
> Thanks, I installed the attached patch to attempt to work around the=20
> problems you reported.
>=20
> Could you please explain how ignoring the 'less -V' failure causes zless=
=20
> to work on BusyBox? BusyBox 'less' ignores the LESSOPEN environment=20
> variable, so if zless uses Busybox 'less' then zless should not work=20
> even if the attached fix is applied.

i think it'd make more sense to update busybox's less to support -V
-mike

--brEuL7wsLY8+TuWz
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEuQK1JxMl+JKsJRrUQWM7n+g39YEFAljHMQYACgkQQWM7n+g3
9YE49hAA4g8mZQa5rTr1jtKi1ck7JPuwmDkzxEVU0xdeiTa/Nxt2qSb5FqfCRLAG
YDyXP6dI8O6o7x4JG1skARr/Zi9we2/rxtgh64VGJE8aezzCtI1ZMgwsqZtGz/6M
hXS+5OuU9p9atNhUh+edihE7I0kHYlKFHYINndasDidOFEZ46sfvoyAiOhomVDjW
12KrmxuSABDTfm0aGawTmNVVNr9qEaqtcJN85UaOgRgbsbPFO1VUoUZlrprIUkjy
ze+kFhVk5y2hEsMcbC/sm/+rKEz7WTXYrShZ2m02U3zYfbKXI7TI1JVqtoKCDHYe
z69vl0FwpCFKh9TZiBWIIRUExbw1Dv72DlwYOh0ki5KZKGUWHOh+GYp5xbLjYtsT
UGshN7dOBnTpDc0RKK6v2Dq/M6qvbDF8THI7bpDtF8jfJ4X0mleC0QL77tRU1jrP
iUdksmSTB4plkzybB4QPHgDM8uEaMf93og0lIK9yATzlMF7TKe4iAsTkK+83Y5zG
fdkMYmiWOZbr+Or6C3PHRt1q7CIkYEeO7vuvGA1qI5vPTq8B1ChWOIGGgpg0RJQH
DSTH3sc6rx7ehwwimGLjRK6M9YJZHYEHT68/sTiocIz7LAtXT1Noo+CHI3ZsH3bx
hLFuhtQvkBS14S3z96Sm4gkgt08ercBWufuSM7wMGcykvPATjww=
=aB41
-----END PGP SIGNATURE-----

--brEuL7wsLY8+TuWz--




Information forwarded to bug-gzip@HIDDEN:
bug#26088; Package gzip 1.8. Full text available.

Message received at 26088 <at> debbugs.gnu.org:


Received: (at 26088) by debbugs.gnu.org; 13 Mar 2017 23:43:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 13 19:43:40 2017
Received: from localhost ([127.0.0.1]:54483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cnZcq-0004Dm-CD
	for submit <at> debbugs.gnu.org; Mon, 13 Mar 2017 19:43:40 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:53610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1cnZco-0004DY-0G
 for 26088 <at> debbugs.gnu.org; Mon, 13 Mar 2017 19:43:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 01D78160072;
 Mon, 13 Mar 2017 16:43:32 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id Y3YggS5ImJk0; Mon, 13 Mar 2017 16:43:31 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5872B16005C;
 Mon, 13 Mar 2017 16:43:31 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id ggnf-ABvnoJl; Mon, 13 Mar 2017 16:43:31 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 3E174160072;
 Mon, 13 Mar 2017 16:43:31 -0700 (PDT)
Subject: Re: bug#26088: BusyBox support
To: Denys Zagorui <denys.zagorui@HIDDEN>, 26088 <at> debbugs.gnu.org
References: <1e6e6ebc-2841-6505-2bdb-e072fa3da053@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <ee2bb661-1793-8bb9-526c-8d2496b875fb@HIDDEN>
Date: Mon, 13 Mar 2017 16:43:30 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
In-Reply-To: <1e6e6ebc-2841-6505-2bdb-e072fa3da053@HIDDEN>
Content-Type: multipart/mixed; boundary="------------A6B4268FB72FF94031AA3E46"
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 26088
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

This is a multi-part message in MIME format.
--------------A6B4268FB72FF94031AA3E46
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Thanks, I installed the attached patch to attempt to work around the 
problems you reported.

Could you please explain how ignoring the 'less -V' failure causes zless 
to work on BusyBox? BusyBox 'less' ignores the LESSOPEN environment 
variable, so if zless uses Busybox 'less' then zless should not work 
even if the attached fix is applied.

--------------A6B4268FB72FF94031AA3E46
Content-Type: application/x-patch;
 name="0001-gzip-port-zdiff-zless-to-Busybox.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="0001-gzip-port-zdiff-zless-to-Busybox.patch"

RnJvbSBiNDlhZjlhYTYzYzkwN2EzMmJmODQyZjIwNzVkYzhjMmQ5ODM0NzdkIE1vbiBTZXAg
MTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBQYXVsIEVnZ2VydCA8ZWdnZXJ0QGNzLnVjbGEuZWR1
PgpEYXRlOiBNb24sIDEzIE1hciAyMDE3IDE2OjM1OjU1IC0wNzAwClN1YmplY3Q6IFtQQVRD
SF0gZ3ppcDogcG9ydCB6ZGlmZiwgemxlc3MgdG8gQnVzeWJveAoKUHJvYmxlbSByZXBvcnRl
ZCBieSBEZW55cyBaYWdvcnVpIChCdWcjMjYwODgpLgoqIHRlc3RzL3pkaWZmOiBDaGVjayB0
aGF0IGRpZmYgdXNlcyBQT1NJWC1mb3JtYXQgb3V0cHV0LgoqIHpsZXNzLmluIChsZXNzX3Zl
cnNpb24pOiBEb24ndCBleGl0IG1lcmVseSBiZWNhdXNlICdsZXNzIC1WJwpmYWlsczsgaW5z
dGVhZCwgYXNzdW1lICdsZXNzJyBpcyBjb21wYXRpYmxlIHdpdGggYW4gb2xkIHZlcnNpb24g
b2YKdGhlIG9yaWdpbmFsICdsZXNzJy4gIEJ1c3lib3ggJ2xlc3MgLVYnIGZhaWxzLCBidXQg
YXBwYXJlbnRseSBpdHMKJ2xlc3MnIHdvcmtzIGFueXdheSBzb21laG93LgotLS0KIHRlc3Rz
L3pkaWZmIHwgNCArKystCiB6bGVzcy5pbiAgICB8IDIgKy0KIDIgZmlsZXMgY2hhbmdlZCwg
NCBpbnNlcnRpb25zKCspLCAyIGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBhL3Rlc3RzL3pk
aWZmIGIvdGVzdHMvemRpZmYKaW5kZXggN2VkMmYzNC4uZTJjYTY1MSAxMDA3NTUKLS0tIGEv
dGVzdHMvemRpZmYKKysrIGIvdGVzdHMvemRpZmYKQEAgLTIyLDcgKzIyLDYgQEAKIAogZWNo
byBhID4gYSB8fCBmcmFtZXdvcmtfZmFpbHVyZV8KIGVjaG8gYiA+IGIgfHwgZnJhbWV3b3Jr
X2ZhaWx1cmVfCi1nemlwIGEgYiB8fCBmcmFtZXdvcmtfZmFpbHVyZV8KIAogY2F0IDw8RU9G
ID4gZXhwCiAxYzEKQEAgLTMxLDcgKzMwLDEwIEBAIGNhdCA8PEVPRiA+IGV4cAogPiBiCiBF
T0YKIAorZGlmZiBhIGIgfCBkaWZmIGV4cCAtIHx8IHNraXBfICJkaWZmIG91dHB1dCBmb3Jt
YXQgaXMgaW5jb21wYXRpYmxlIHdpdGggUE9TSVgiCisKIGZhaWw9MAorZ3ppcCBhIGIgfHwg
ZmFpbD0xCiByZXR1cm5zXyAxIHpkaWZmIGEuZ3ogYi5neiA+IG91dCAyPiYxIHx8IGZhaWw9
MQogCiBjb21wYXJlIGV4cCBvdXQgfHwgZmFpbD0xCmRpZmYgLS1naXQgYS96bGVzcy5pbiBi
L3psZXNzLmluCmluZGV4IDI1ZDZiOGIuLmZkY2M0OWEgMTAwNjQ0Ci0tLSBhL3psZXNzLmlu
CisrKyBiL3psZXNzLmluCkBAIC00Nyw3ICs0Nyw3IEBAIGlmIHRlc3QgIiR7TEVTU01FVEFD
SEFSUytzZXR9IiAhPSBzZXQ7IHRoZW4KICAgZXhwb3J0IExFU1NNRVRBQ0hBUlMKIGZpCiAK
LWxlc3NfdmVyc2lvbj1gbGVzcyAtVmAgfHwgZXhpdAorbGVzc192ZXJzaW9uPWBsZXNzIC1W
IDI+L2Rldi9udWxsYAogY2FzZSAkbGVzc192ZXJzaW9uIGluCiBsZXNzJyAnNDVbMS05XSog
fCBcCiBsZXNzJyAnNFs2LTldWzAtOV0qIHwgXAotLSAKMi45LjMKCg==
--------------A6B4268FB72FF94031AA3E46--




Information forwarded to bug-gzip@HIDDEN:
bug#26088; Package gzip 1.8. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Mar 2017 18:50:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 13 14:50:34 2017
Received: from localhost ([127.0.0.1]:54263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cnV3C-0005m5-2l
	for submit <at> debbugs.gnu.org; Mon, 13 Mar 2017 14:50:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33221)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <denys.zagorui@HIDDEN>) id 1cnUtG-0005Wh-Fh
 for submit <at> debbugs.gnu.org; Mon, 13 Mar 2017 14:40:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <denys.zagorui@HIDDEN>) id 1cnUtA-0001KA-Iw
 for submit <at> debbugs.gnu.org; Mon, 13 Mar 2017 14:40:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48271)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <denys.zagorui@HIDDEN>)
 id 1cnUtA-0001K6-GP
 for submit <at> debbugs.gnu.org; Mon, 13 Mar 2017 14:40:12 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52422)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <denys.zagorui@HIDDEN>) id 1cnUt9-0008Gh-6i
 for bug-gzip@HIDDEN; Mon, 13 Mar 2017 14:40:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <denys.zagorui@HIDDEN>) id 1cnUt5-0001H3-A4
 for bug-gzip@HIDDEN; Mon, 13 Mar 2017 14:40:11 -0400
Received: from mail-lf0-x230.google.com ([2a00:1450:4010:c07::230]:33803)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <denys.zagorui@HIDDEN>)
 id 1cnUt5-0001FC-0g
 for bug-gzip@HIDDEN; Mon, 13 Mar 2017 14:40:07 -0400
Received: by mail-lf0-x230.google.com with SMTP id z15so45411863lfd.1
 for <bug-gzip@HIDDEN>; Mon, 13 Mar 2017 11:40:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=globallogic.com; s=google;
 h=to:from:subject:message-id:date:user-agent:mime-version;
 bh=1PePt6PhZGVuj7d0zLRUp7bcyl9UjHhzijLiBvLDtS8=;
 b=ggwdAlRUvZ1ddApmE28eDHIO3wrdAOtWKZMmUdXxi3IlaWL5Iepuh29E9PujXLmdYs
 rR1Og9ohjMROgKAqvMiFSQzgOFeK6/vFuceIAI+FkhV8Tn+sR7eq+c0of8M3ivpO6S6z
 baKK8UZU5v/XaSGSNu5RcqoG9Ce9NZ+X/+Oc0=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version;
 bh=1PePt6PhZGVuj7d0zLRUp7bcyl9UjHhzijLiBvLDtS8=;
 b=UcVEC9Gr/XHPAPkGQ6bscadqGZfj/gEMtqLtTYw9Dygwcelm4XWzM1ZWb+7tMjWZnr
 gRJQp1FYC0y4p278J0LlFr5lTJPKW3F6cIb9m5AaZivBHzsJ5VtWoFEeZTUvPje75ZuI
 TBtIKMz93d4PhY+J0zkbclG9VFIYnR2QOYlaCuF2Q6LaRagnobMV7Xt8TizLYRS+sgvD
 3sb6vSA9w709I+YjqXP6M4GJ6xO19oDtUOBBk94BcT0NHvBdiy/FLROYCK8lDzzQ3lAV
 JVAMJmllGf1srPJ9xe/Y4dw2X1Z0CI4RNclVxcFGDBrcxvADn3tUu7X2eaTAjFSsiUwZ
 kI6Q==
X-Gm-Message-State: AMke39l7foMi0uK8GmXRkLKxUVcQnb4dFPFG6/i6Kd8DeLpa8tbcMOuFklVwBCT8Xsin2Dqv
X-Received: by 10.25.17.153 with SMTP id 25mr8946275lfr.39.1489430403792;
 Mon, 13 Mar 2017 11:40:03 -0700 (PDT)
Received: from [172.22.108.106] ([195.238.93.36])
 by smtp.gmail.com with ESMTPSA id 9sm927908ljt.25.2017.03.13.11.40.02
 for <bug-gzip@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 13 Mar 2017 11:40:03 -0700 (PDT)
To: bug-gzip@HIDDEN
From: Denys Zagorui <denys.zagorui@HIDDEN>
Subject: BusyBox support
Message-ID: <1e6e6ebc-2841-6505-2bdb-e072fa3da053@HIDDEN>
Date: Mon, 13 Mar 2017 20:40:01 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------39391BFA8ABB95ACD5ADECB5"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 13 Mar 2017 14:50:33 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This is a multi-part message in MIME format.
--------------39391BFA8ABB95ACD5ADECB5
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

package: gzip 1.8

1. zless util don't support 'less' from busybox package. zless trying to 
figure out the version of 'less', it is launch 'less' with key -V, and 
'less' from busybox don't understand this flag. When i change this 
verification zless works fine with 'less' from busybox.

2. tests/zdiff test fails. 'diff' from busybox and 'diff' from diffutils 
has different output. So i apply attached patch and this works fine.

-- 
Denys Zagorui
GlobalLogic
Kyiv, 03038, Protasov Business Park, N.Grinchenka, 2/1
M +380.67.317.30.93
www.globallogic.com

http://www.globallogic.com/email_disclaimer.txt


--------------39391BFA8ABB95ACD5ADECB5
Content-Type: text/x-patch;
 name="0001-tests-zdiff-add-diff-from-busybox-compatibility.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0001-tests-zdiff-add-diff-from-busybox-compatibility.patch"

From 93673d1bc2af38dec512b05bc6d9262c6b45b5ad Mon Sep 17 00:00:00 2001
From: Denys Zagorui <denys.zagorui@HIDDEN>
Date: Fri, 10 Mar 2017 22:59:48 +0200
Subject: [PATCH] tests/zdiff: add diff from busybox compatibility.

Diff from busybox has another output than diff from diffutils

Signed-off-by: Denys Zagorui <denys.zagorui@HIDDEN>
Upstream-Status: Pending
---
 tests/zdiff | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/tests/zdiff b/tests/zdiff
index 7ed2f34..2567d1a 100755
--- a/tests/zdiff
+++ b/tests/zdiff
@@ -24,12 +24,13 @@ echo a > a || framework_failure_
 echo b > b || framework_failure_
 gzip a b || framework_failure_
 
-cat <<EOF > exp
-1c1
-< a
----
-> b
-EOF
+diff -v 2>&1 > /dev/null | grep BusyBox
+
+if [ $? == 0 ];then
+    echo -e '--- /dev/fd/5\n+++ -\n@@ -1 +1 @@\n-a\n+b' > exp
+else
+    echo -e '1c1\n< a\n---\n> b' >exp
+fi
 
 fail=0
 returns_ 1 zdiff a.gz b.gz > out 2>&1 || fail=1
-- 
1.9.1


--------------39391BFA8ABB95ACD5ADECB5--




Acknowledgement sent to Denys Zagorui <denys.zagorui@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gzip@HIDDEN. Full text available.
Report forwarded to bug-gzip@HIDDEN:
bug#26088; Package gzip 1.8. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 22 Jun 2018 00:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.